Public Webhooks
GET
apiKeyheader
x-api-key<token>Webhooks fetched successfully.
application/json- response
webhooks*array<>curl -X GET "https://example.com/api/public/v1/webhooks"{ "webhooks": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "url": "string", "events": [ "string" ], "isActive": true, "createdAt": "string" } ]}POST
apiKeyheader
x-api-key<token>application/json- body
url*stringFormat
urievents*array<>Items
1 <= itemssecret?stringLength
1 <= length <= 256Webhook registered successfully.
application/json- response
id*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidurl*stringevents*array<string>isActive*booleancreatedAt*stringcurl -X POST "https://example.com/api/public/v1/webhooks" \ -H "Content-Type: application/json" \ -d '{ "url": "http://example.com", "events": [ "generation.completed" ] }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "url": "string", "events": [ "string" ], "isActive": true, "createdAt": "string"}DELETE
apiKeyheader
x-api-key<token>webhookId*stringWebhook deleted.
curl -X DELETE "https://example.com/api/public/v1/webhooks/string"Empty